/*
** EraseArc paints a wedge of the oval just inside the specified rectangle
** with the current grafPort's background pattern bkPat (in srcCopy mode).
** StartAngle and arcAngle define the arc of the wedge as in FrameArc.  The
** grafPort's pnPat and pnMode are ignored; the pen location is not changed.
*/

#include "../clunkdraw.h"
#include "cdarc.h"

void
EraseArc(rect, startAngle, arcAngle)
const Rect *rect;
short startAngle, arcAngle;
{
    _DrawArc(rect, 0, EraseRgn, startAngle, arcAngle, 0);
}
