/*
** FrameWedge is the same as FrameArc, but it also frames the rest of the wedge
** of the oval using the current grafPort's pen pattern, mode, and size,
** according to the pattern transfer mode specified by pnMode.  The pen
** location is not changed by this procedure.
*/

#include "../clunkdraw.h"
#include "cdarc.h"

void
FrameWedge(rect, startAngle, arcAngle)
const Rect *rect;
short startAngle, arcAngle;
{
    _DrawArc(rect, 0, FrameRgn, startAngle, arcAngle, 0);
}
