/*
** InvertArc inverts the pixels enclosed by a wedge of the oval just inside
** the specified rectangle:  Every white pixel becomes black and every black
** pixel becomes white.  StartAngle and arcAngle define the arc of the wedge
** as in FrameArc.  The grafPort's pnPat, pnMode, and bkPat are all ignored;
** the pen location is not changed.
*/

#include "../clunkdraw.h"
#include "cdarc.h"

void
InvertArc(rect, startAngle, arcAngle)
const Rect *rect;
short startAngle, arcAngle;
{
    _DrawArc(rect, 0, InvertRgn, startAngle, arcAngle, 0);
}
