
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <isc/keycodes.h>
#include <isc/window.h>
#include <isc/controls.h>
#include <isc/textedit.h>
#include <isc/dlgman.h>

#include "clock.h"
#include "Dclkabout.h"

extern DMItem	Dclkabout[];
extern int		windowid;

extern int		errno;

DMDcb	*cbp;
char	abtitle[TBUF_SIZE] = "C L O C K";
char	version[TBUF_SIZE];					/* version string buffer */
char	adate[TBUF_SIZE];					/* date string buffer */

static char rcsid[] = "$Header: /usr/users/window/clock/RCS/clock_pop.c,v 1.1 1994/03/22 18:32:56 daleb Exp $";
/*eject*/
/*
**	S P E C I A L   E F F E C T S
*/
zoom_rect(srect,erect,direction,step)
Rect	*srect, *erect;
int		direction;
short	step;
{
	Rect	end, start, tr;
	short	topin,leftin,bottomin,rightin;
	short	topout,leftout,bottomout,rightout;
	int		i,j;

	topout = (erect->edge.top - srect->edge.top)/step;
	leftout = (erect->edge.left - srect->edge.left)/step;
	bottomout = (erect->edge.bottom - srect->edge.bottom)/step;
	rightout = (erect->edge.right - srect->edge.right)/step;

	topin = (srect->edge.top - erect->edge.top)/step;
	leftin = (srect->edge.left - erect->edge.left)/step;
	bottomin = (srect->edge.bottom - erect->edge.bottom)/step;
	rightin = (srect->edge.right - erect->edge.right)/step;

	PenNormal();
	PenMode(srcXor);

	for(j=0; j<2; j++) {
		start.edge.top = srect->edge.top;
		start.edge.left = srect->edge.left;
		start.edge.bottom = srect->edge.bottom;
		start.edge.right = srect->edge.right;

		end.edge.top = erect->edge.top;
		end.edge.left = erect->edge.left;
		end.edge.bottom = erect->edge.bottom;
		end.edge.right = erect->edge.right;

		if (direction == OFF){
			SetRect(&tr, srect->edge.left, srect->edge.top, srect->edge.right, srect->edge.bottom);
		}
		else {
			SetRect(&tr, erect->edge.left, erect->edge.top, erect->edge.right, erect->edge.bottom);
		}

		FrameRect(&tr);
		for (i=0; i<step; i++) {

			if (direction == OFF) {
				start.edge.top += topout;
				start.edge.left += leftout;
				start.edge.bottom += bottomout;
				start.edge.right += rightout;
				SetRect(&tr, start.edge.left, start.edge.top,
							start.edge.right, start.edge.bottom);
			}
			else {
				end.edge.top += topin;
				end.edge.left += leftin;
				end.edge.bottom += bottomin;
				end.edge.right += rightin;
				SetRect(&tr, end.edge.left, end.edge.top,
							end.edge.right, end.edge.bottom);
			}
			FrameRect(&tr);
		}	
	}
	PenNormal();
}
/*eject*/
do_about()
{
	Rect	end, start;
	EventRecord	*ep;
	short	ttop, tleft, tbottom, tright;

	start.edge.top = 0;
	start.edge.left = 0;
	start.edge.bottom = 2;
	start.edge.right = 2;

	ttop = Dclkabout[0].rect.edge.top;
	tleft = Dclkabout[0].rect.edge.left;
	tbottom = Dclkabout[0].rect.edge.bottom;
	tright = Dclkabout[0].rect.edge.right;

	SetRect(&end, tleft, ttop, tright, tbottom);
	zoom_rect(&start, &end, OFF, 15);
	cbp = DMNew(Dclkabout, windowid, 0);
	for(;;) {
		ep = GetEvent(1 << windowid, 1 << mouseEvt);
		if (ep->message & F_KEYDOWN) {
			break;
		}
	}
	DMDispose(cbp);
	zoom_rect(&start,&end,ON,15);
}

/*
**	PREFILLS FOR ABOUT DIALOG
*/
PFtitle(cbp,itp,text)
DMDcb	*cbp;
DMItem	*itp;
char	*text;
{
	strcpy(text, abtitle);
}

PFversion(cbp,itp,text)
DMDcb	*cbp;
DMItem	*itp;
char	*text;
{
	strcpy(version, GetVersion());
	strcpy(text, GetVersion());
}

PFdate(cbp,itp,text)
DMDcb	*cbp;
DMItem	*itp;
char	*text;
{
	strcpy(adate, GetDate());
	strcpy(text, GetDate());
}
