#include <stdio.h>
#include <string.h>
/*
** This module is intended to provide automatic version control.
** To get a string containing the current version number for a module,
** call GetVersion(), To print version/release info on stdout, call
** PrintRelInfo().
**
** NOTE:
**   In order for this file to automatically be maintained by the "vbump"
**   program, it is necessary for the STDRelease, STDCheckpt, STDInterim,
**   and STDLnkdate variables be defined exactly as shown.  You can modify
**   the CONTENTS of the variable but not the format of the line.
*/

char	STDProgname[] = "mo";
char	STDAuthor[] = "Carl Paukstis";
char	STDCopyright[] = "Copyright (c) 1990 by ISC-Bunker Ramo Corp.  All rights reserved.";
char	STDPartno[] = "<not assigned>";
char	STDRelease[] = "4";
char	STDCheckpt[] = "1";
char	STDInterim[] = "0";
char	STDLnkdate[] = "Wed Feb  8 18:16:04 1995";

char	*GetVersion()
{
	static char	versionstr[10];
	char	*strrchr();

	strcpy(versionstr,STDRelease);
	strcat(versionstr,".");
	strcat(versionstr,STDCheckpt);
	strcat(versionstr,".");
	strcat(versionstr,STDInterim);
	return(versionstr);
}

PrintRelInfo()
{
	char *v = GetVersion();
	char pn[] = "PartNumber:  ";
	char au[] = "Author:      ";
	char ve[] = "Version:     ";
	char ld[] = "LinkDate:    ";
	write(1,STDProgname, sizeof(STDProgname) - 1);
	write(1,": ",2);
	write(1,STDCopyright,sizeof(STDCopyright) - 1);
	write(1,"\n",1);
	write(1,pn,sizeof(pn) - 1);
	write(1,STDPartno,sizeof(STDPartno) - 1);
	write(1,"\n",1);
	write(1,au,sizeof(au) - 1);
	write(1,STDAuthor,sizeof(STDAuthor) - 1);
	write(1,"\n",1);
	write(1,ve,sizeof(ve) - 1);
	write(1,v,strlen(v));
	write(1,"\n",1);
	write(1,ld,sizeof(ld) - 1);
	write(1,STDLnkdate,sizeof(STDLnkdate) - 1);
	write(1,"\n",1);
}
