/* Function codes used in command stream to handler/server */

#define WINDOWMASKFLAG	0x80000000	/* Flag indicating that a windowid really is a windowmask */

enum {
	GF_SystemSetup = 0,
	GF_GetFontTable,
	GF_LockWM,
	GF_UnlockWM,
	GF_GetWManVrsns,
	GF_GetFontList,
	GF_GetFontSizes,
	GF_SetEventRecorder,
	GF_WaitEventRecorder,
	GF_PublishScrap,
	GF_MouseMode = 10,
	GF_AckEvent,
	GF_ZeroScrap,
	GF_PutScrap,
	GF_GetScrap,
	GF_MoveCursor = 15,
	GF_NewWindow = 16,
	GF_DisposeWindow,
	GF_SetWTitle,
	GF_HideWindow,
	GF_ShowWindow,
	GF_SelectWindow,
	GF_SendBehind,
	GF_MoveWindow,
	GF_SizeWindow,
	GF_ZoomWindow,
	GF_IconifyWindow,
	GF_UnIconifyWindow,
	GF_Notify,
	GF_WindowStyle,
	GF_GetWPtr,

	GF_BeginUpdate = 32,
	GF_EndUpdate,
	GF_InvalRect,
	GF_ValidRect,
	GF_BeginUpdateRect,
	GF_ClipRectSect,
	GF_ClipRectUnion,
	GF_ClipRectDiff,

	GF_SetPort = 40,
	GF_SetPorts,
	GF_SetOrigin,
	GF_ClipRect,
	GF_BackPat,
	GF_InitCursor,
	GF_SetCursor,
	GF_HideCursor,
	GF_ShowCursor,
	GF_ObscureCursor,
	GF_ShieldCursor,
	GF_PlotIcon,
	GF_ScreenRes,
	GF_HidePen,
	GF_ShowPen,
	GF_GetPen,
	GF_GetPenState,
	GF_SetPenState,
	GF_PenSize,
	GF_PenMode,
	GF_PenPat,
	GF_PenNormal,
	GF_MoveTo,
	GF_Move,
	GF_LineTo,
	GF_Line,
	GF_GetPixel,
	GF_SetPixel,
	GF_TextFont,
	GF_TextFace,
	GF_TextMode,
	GF_TextSize,
	GF_SpaceExtra,
	GF_DrawText,
	GF_TextWidth,
	GF_GetFontInfo,
	GF_ForeColor,
	GF_BackColor,
	GF_ColorBit,
	GF_FrameRect,
	GF_PaintRect,
	GF_EraseRect,
	GF_InvertRect,
	GF_FillRect,
	GF_FrameOval,
	GF_PaintOval,
	GF_EraseOval,
	GF_InvertOval,
	GF_FillOval,
	GF_FrameRoundRect,
	GF_PaintRoundRect,
	GF_EraseRoundRect,
	GF_InvertRoundRect,
	GF_FillRoundRect,
	GF_FrameArc,
	GF_PaintArc,
	GF_EraseArc,
	GF_InvertArc,
	GF_FillArc,
	GF_ScrollRect,
	GF_CopyBits,
	GF_DrawText16,
	GF_TextWidth16,
	GF_HiliteRect,
	GF_HiliteClear,
	GF_TextRotate,
	GF_ClipRectXor,
	GF_GetHdwrType,
	GF_TextWidHit,
	GF_TextWidths,
	GF_DrawGrowIcon,
	GF_FrameWedge,
	GF_TextExtra,
	GF_FramePoly,
	GF_PaintPoly,
	GF_ErasePoly,
	GF_InvertPoly,
	GF_FillPoly,
	GF_FrameRgn,
	GF_PaintRgn,
	GF_EraseRgn,
	GF_InvertRgn,
	GF_FillRgn,
	GF_SetClip,
	GF_InvalRgn,
	GF_ValidRgn,
	GF_SetRGBColor,
	GF_CopyBits2,
	GF_Bell,
	GF_DrawJustText,
	GF_SetApplCursor,
	GF_MoveApplCursor,
	GF_HideApplCursor,
	GF_ShowApplCursor,
	GF_SetKbdLEDs,
	GF_SetKbdXlate,
	GF_SetClipSect,
	GF_SetClipUnion,
	GF_SetClipDiff,
	GF_SetClipXor,
	GF_NewMenu,
	GF_DisposeMenu,
	GF_DisableMenu,
	GF_EnableMenu,
	GF_AppendMenu,
	GF_DeleteMenu,
	GF_BeginMenu,
	GF_EndMenu,
	GF_SetItem,
	GF_SetItemMark,
	GF_DisableItem,
	GF_EnableItem,
	GF_SetItemStyle,
	GF_SetItemKey,
	GF_GetMenuFlash,
	GF_NoMenuKeyXlate,
	GF_GetDblClickTime,
	GF_BeginRegion,
	GF_MoreRegion,
	GF_PicComment,
	GF_SoundBite,
	GF_GetUserTime
};
