/*
** Definition of shared-memory structure used to present a pseudo-real-time
** display of the capturing process.
*/

struct sniffstat {
    short revised;		/* Bumped when info's changed. */
    short triggered;		/* TRUE when triggered. */
    unsigned long curtime;	/* Current tick time (from last packet). */
    unsigned long capbytes;	/* Bytes captured. */
    unsigned long capbufsize;	/* Capture buffer size. */
    unsigned long cappackets;	/* Packets captured. */
    unsigned long seenbytes;	/* Bytes seen on network. */
    unsigned long seenpackets;	/* Packets seen. */
    unsigned long goodpackets;	/* Packets seen. */
    unsigned long badpackets;	/* Packets seen. */
};
