/*
** Test Text modes.  Really quite tortureous.
*/

#include <isc/window.h>

void doupdate(), dokey();

Rect scratch;

main()
{
    Rect winrect;
    int window;
    int trapqfd, fd;
    EventRecord *ep;

    if ((trapqfd = InitGraf()) < 0) { /* Initialize graphics toolbox. */
	return 1;
    }
    if ((fd = ConnectGraf(0)) < 0) {	/* Initialize graphics toolbox. */
	return 2;
    }
    Event(updateEvt, doupdate);
    Event(keyEvt, dokey);
    SetRect(&winrect, 8, 24+20, 0x100, 0xE0+20);
    scratch = winrect;
    OffsetRect(&scratch, -winrect.edge.left, -winrect.edge.top);
    window = NewWindow(&winrect, "Text Test", showWindow,
		       documentProc, frontWindow, noOptions, fd);
    SetPort(window);
    BeginUpdate(window);
    drawgoodies();
    EndUpdate(window);
    ep = GetEvent(anyWindow, noEvent);
    if (ep)
	exit(3);
    exit(0);
}

drawgoodies()
{
    int i;

    TextFont(9);
    TextSize(36);
    TextFace(normalText);
    ForeColor(3);
    for (i=0; i<120; i+=4) {
	EraseRect(&scratch);
	MoveTo(20, 40+i);
	DrawString("Cowabunga!");
    }
    EraseRect(&scratch);
    ForeColor(1);
    TextFace(outlineText);
    MoveTo(14, 40+i);
    DrawString("Cowabunga!");
    TextFace(normalText);
    TextExtra(Int2Fix(2));
    ForeColor(3);
    MoveTo(15, 40+i);
    DrawString("Cowabunga!");
    for (i=0; i<26; i++)
	ScrollRect(&scratch, 0, -2, 0);

    TextFont(6);
    TextSize(24);
    ForeColor(1);
    TextExtra(0);

    MoveTo(100, 160);
    TextFace(italicText);
    DrawString("jitalicF");
    Line(0, -20);
    MoveTo(100, 160-20);
    Line(0, 50);
    TextFace(normalText);
    MoveTo(100, 160+24);
    DrawString("jitalicF");
    Line(0, -20);

    TextFont(42);
    TextSize(72);
    MoveTo(20, 180);
    DrawChar('j');
    TextFont(32);
    TextSize(24);
    DrawChar('W');
    Line(0, -20);
    MoveTo(20, 180-20);
    Line(0, 50);

    TextFont(6);
    TextSize(12);
    TextFace(italicText);
    MoveTo(100, 50);
    DrawString("Cowa");
    DrawString("bunga!");

    TextRotate(90);
    MoveTo(100, 50);
    DrawString("Cowa");
    DrawString("bunga!");

    TextRotate(180);
    MoveTo(100, 50);
    DrawString("Cowa");
    DrawString("bunga!");

    TextRotate(270);
    MoveTo(100, 50);
    DrawString("Cowa");
    DrawString("bunga!");

    TextRotate(0);
    TextFace(normalText);
    TextExtra(Int2Fix(-16));
    MoveTo(220, 16);
    DrawString("!lacigolohtaP"); /* Pathological! */
    MoveTo(220, 30);
    TextFont(4);
    DrawString("!lacigolohtaP"); /* Pathological! */
    TextExtra(0);
}

void
doupdate(ep)
EventRecord *ep;
{
    BeginUpdate(ep->who);
    drawgoodies();
    EndUpdate(ep->who);
}

void
dokey(ep)
EventRecord *ep;
{
    ReleaseEvent();
}
