/*
**
** Test the user time function.
**
*/

#include <stdio.h>
#include <isc/window.h>
#include <isc/keycodes.h>

struct usertime {
    long lastkbd;
    long lastmouse;
    short hertz;
}ut;

main(argc, argv)
int argc;
char *argv[];
{
    int i, j;
    int trapqfd, fd;
    Rect winrect;
    int window;
    char *argp;

    if ((trapqfd = InitGraf()) < 0) { /* Initialize graphics toolbox. */
	exit(1);
    }
    if ((fd = ConnectGraf(0)) < 0) { /* Initialize graphics toolbox. */
	exit(1);
    }
    GetUserTime(&ut);
    printf("Tick rate: %d per second\n", ut.hertz);
    printf("Keyboard: %d ticks\n", ut.lastkbd);
    printf("Mouse:    %d ticks\n", ut.lastmouse);
}
