#define CONTROLS_SOURCE
#include "../clunkdraw.h"
#include "cmcontrols.h"
#include <stdlib.h>

void
DisposeControlNoErase(theControl)
ControlID theControl;
{
   ControlID p;
   WindowPeek w;

   p = theControl;
   w = (WindowPeek)theControl->contrlOwner;
   if (w->controlList == p) {       /* First control in window's list? */
      w->controlList = p->nextControl;
      (*p->cdefproc)(p->contrlDefProc, p, dispCntl, 0);
      free(p);
   } else {
      while (p && p->nextControl != theControl)
         p = p->nextControl;
      if (p) {
         p->nextControl = p->nextControl->nextControl;
         (*p->cdefproc)(p->contrlDefProc, p, dispCntl, 0);
         free(theControl);
      }
   }
}
