#define CONTROLS_SOURCE
#include "../clunkdraw.h"
#include "cmcontrols.h"
#include <stdlib.h>

ControlID
NewControl(theWindow, bounds, title, visible, value, min, max, procID, refCon)
GrafPtr theWindow;              /* Which window (port) it's for. */
Rect *bounds;                   /* Control's bounding rectangle. */
char *title;                    /* Control's title. */
short visible;                  /* Whether control is visible. */
short value;                    /* Control's initial value. */
short min;                      /* Control's limits. */
short max;
short procID;                   /* Control's type. */
void *refCon;                   /* Reference value. */
{
   ControlRecord *p;

   p = (ControlID) calloc(1, sizeof(struct ControlRecord));
   p->nextControl = ((WindowPeek)theWindow)->controlList;
   ((WindowPeek)theWindow)->controlList = p;
   p->contrlOwner = theWindow;
   p->contrlRect = *bounds;
   p->contrlVis = 0;
   p->contrlHilite = 254;       /* Ensure it's fully drawn the first time. */
   p->contrlValue = value;
   p->contrlValue2 = min;
   p->contrlMin = min;
   p->contrlMax = max;
   if (procID & useWFont) {
      p->contrlFont = thePort->txFont;
      p->contrlSize = thePort->txSize;
      procID &= ~useWFont;
   } else {
      p->contrlFont = 0;
      p->contrlSize = 0;
   }
   p->contrlFColor = thePort->fgColor;
   p->contrlBColor = thePort->bkColor;
   p->contrlDefProc = procID;
   p->contrlData = 0;
   p->contrlAction = 0;
   if (title)
      p->titleLen = StringLen(title);
   else
      p->titleLen = 0;
   p->contrlTitle = title;
   p->refCon = refCon;
   p->cdefproc = defcdefproc;
   (*p->cdefproc)(p->contrlDefProc, p, initCntl, 0);
   (*p->cdefproc)(p->contrlDefProc, p, calcCRgns, 0);
   if (visible)
      ShowControl(p);
   p->contrlHilite = 0; /* Normal state. */
   return p;
}

