#include "../clunkdraw.h"
#include "cdcurs.h"
#include "../port/cdport.h"
#define TRUE 1
#define FALSE 0

// The normal North-by-Northwest pointing arrow.

const Cursor Arrow = {
   {0x0000, 0x4000, 0x6000, 0x7000, 0x7800, 0x7C00, 0x7E00, 0x7F00, // Cursor
    0x7F80, 0x7C00, 0x6C00, 0x4600, 0x0600, 0x0300, 0x0300, 0x0000},
   {0xC000, 0xE000, 0xF000, 0xF800, 0xFC00, 0xFE00, 0xFF00, 0xFF80, // Mask
    0xFFC0, 0xFFE0, 0xFE00, 0xEF00, 0xCF00, 0x8780, 0x0780, 0x0380},
   {0x0001, 0x0001}                                                 // HotSpot
};

void
InitCursor(void)
{
   _CrsrInited = TRUE;
   _CrsrState = 0;
   _CrsrObscure = FALSE;
   _CrsrVis = FALSE;
   SetPt(&_Mouse, 0, 0);
   _ShieldCursHook = ShieldCursor;
   _ShowCursHook = ShowCursor;
   SetCursor(&Arrow);
}
