#include "../clunkdraw.h"
#include "cdcurs.h"
#define TRUE 1

/*
** ObscureCursor hides the cursor until the next time the mouse is
** moved.  It's normally called when the user begins to type.
** Unlike HideCursor, it has no effect on the cursor level and
** must not be balanced by a call to ShowCursor.
*/

void
ObscureCursor(void)
{
   if (_CrsrInited && !_CrsrObscure) {
      if (!_CrsrObscure) {
         _CrsrObscure = TRUE;
         HideCursor();
      }
   }
}
