#include "../clunkdraw.h"
#include "cdfontm.h"
#include <stdlib.h>
#define TRUE 1
#define FALSE 0

void
InitFonts()
{
   int font, size;
   FontCtrl *fcp;
   const FontRec *frp;
   GrafPtr tp;

   if (tp = thePort)
      tp->_fontHook = _GetScaledFont;
   if (_fontChain)
      return;
   for (font = 128; font >= 0; font--) { // Put all resident fonts in chain.
      TextFont(font);
      for (size = 256; size >= 0; size--) {
         TextSize(size);
         if (frp = _GetEmbeddedFont(tp)) {
            fcp = _fontChain;
            _fontChain = malloc(sizeof *_fontChain);
            _fontChain->fontNum = font;
            _fontChain->fontSize = size;
            _fontChain->fontPtr = frp;
            _fontChain->memSize = 0; // Memory-resident, not free-able.
            _fontChain->next = fcp;
            _fontChain->used = FALSE; // Nobody's using it yet.
         }
      }
   }
}
