// Sets the drawing pen's state variables to match those stored in
// PenState.  A handy way to set all pen variables at once.

#include "../clunkdraw.h"

void
SetPenState(const PenState *penRec)
{
    if (!thePort) return;
    thePort->pnLoc = penRec->pnLoc;
    thePort->pnSize = penRec->pnSize;
    thePort->pnMode = penRec->pnMode;
    thePort->pnPat = penRec->pnPat;
}
