#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"
#include <stdlib.h>

/* Delete an item and all following items in a pulldown menu */

void
ChopMenu(mp, menuID, item)
MenuInfo *mp;                   /* Menu linkage root */
int menuID;                     /* Desired menu ID. */
int item;
{
   MenuItem *ip, *ip0;

   if (mp = _FindMenu(mp, menuID)) {
      mp->numberItems = item-1;
      mp->enabled &= (1 << item) - 1;
      ip = mp->items;
      ip0 = NULL;
      while (ip && item > 1) {
         ip0 = ip;
         ip = ip->nextItem;
         item--;
      }
      if (ip0 == NULL) {
         mp->items = NULL;
      } else {
         ip0->nextItem = NULL;
      }
      while (ip) {
         ip0 = ip->nextItem;
         if (ip->itemTitle) {
            free(ip->itemTitle);
         }
         free(ip);
         ip = ip0;
      }
   }
   _CalcMenuSize(mp);
}
