#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"
#include <stdlib.h>

/* Remove a menu definition */

void
DisposeMenu(mproot, menuID)     /* Completely destroy the menu. */
MenuInfo **mproot;              /* Pointer to menu linkage root */
int menuID;                     /* Desired menu ID. */
{
   MenuInfo *mp, *mp0;

   mp0 = NULL;
   mp = *mproot;
   while (mp) {
      if (menuID <= mp->menuID) {
         break;
      }
      mp0 = mp;
      mp = mp->nextMenu;
   }
   if (mp && menuID == mp->menuID) {
      if (mp0) {
         mp0->nextMenu = mp->nextMenu;
      } else {
         *mproot = mp->nextMenu;
      }
      free(mp->menuTitle);
      _FreeMenuItems(mp);
      free(mp);
   }
}
