#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"

/* Find the menu and item pointers that match the numbers. */

MenuInfo *
_GetItemPointer(mp, menuID, item, pip)
MenuInfo *mp;                   /* Menu linkage root */
int menuID;                     /* Desired menu ID. */
int item;                       /* Desired menu item. */
MenuItem **pip;                 /* Pointer to Menu Item Pointer. */
{
   MenuItem *ip;

   ip = 0;
   if (mp = _FindMenu(mp, menuID)) {
      ip = mp->items;
      while (--item) {          /* Find the selected item. */
         if (!ip || item < 0) { /* Can't find it, quit. */
            return 0;
         }
         ip = ip->nextItem;
      }
   }
   if (!(*pip = ip))
      return 0;
   return mp;
}
