#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"

/* Hilite a menu in Menu Bar */

void
_InvertMenu(menuID, flag)
int menuID;
int flag;                       /* TRUE if stomping out a gray thing. */
{
   MenuInfo *mp;

   PenPat(&syspats[7]);
   PenMode(srcBic);
   if (mp = _FindMenu(_MV.SystemMenu, menuID)) {
      SetRect(&_MV.menuRect, mp->leftCoord, 1, mp->rightCoord, _MV.mbarHeight-1);
      if (flag) {
         PaintRect(&_MV.menuRect);  /* Gray-ing out. */
      } else {
         InvertRect(&_MV.menuRect); /* Highlight the menu. */
      }
   }
   PenNormal();
}
