#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"
#include <stdlib.h>

/* Replace the text in a Menu Item */

void
SetItem(mp, menuID, item, itemString)
MenuInfo *mp;                   /* Menu linkage root */
int menuID;                     /* Desired menu ID. */
int item;
char *itemString;
{
   MenuItem *ip;
   char *q;

   if (mp = _GetItemPointer(mp, menuID, item, &ip)) {
      free(ip->itemTitle);      /* Release old item title & create new one. */
      ip->itemLen = StringLen(itemString);
      q = ip->itemTitle = malloc((unsigned) ip->itemLen + 1);
      while (*q++ = *itemString++) /* Copy new item title in. */
         ;
      _CalcMenuSize(mp);        /* Re-calculate the menu. */
   }
}
