#include "../clunkdraw.h"

void
MapPt(pt, srcRect, dstRect)
Point *pt;
const Rect *srcRect, *dstRect;
{
   int val;

   val = pt->h - srcRect->edge.left;
   val = ScaleRS(val, dstRect->edge.right - dstRect->edge.left,
                      srcRect->edge.right - srcRect->edge.left);
   pt->h = val + dstRect->edge.left;
   val = pt->v - srcRect->edge.top;
   val = ScaleRS(val, dstRect->edge.bottom - dstRect->edge.top,
                      srcRect->edge.bottom - srcRect->edge.top);
   pt->v = val + dstRect->edge.top;
}
