/*
** FillPoly fills the specified polygon with the given pattern (in srcCopy
** mode).  The grafPort's pnPat, pnMode and bkPat are all ignored; the pen
** location is not changed.
*/

#include "../clunkdraw.h"
#include "cdpoly.h"

void
FillPoly(poly, pattern)
PolyHandle poly;
const Pattern *pattern;
{
   _DrawPoly(poly, FillRgn, (void *) pattern);
}
