#include "../clunkdraw.h"

void
MovePortTo(int leftGlobal, int topGlobal)
{
   GrafPtr tp;
   int width, height;

   if (!(tp = thePort)) return;
   width = tp->portRect.edge.right - thePort->portRect.edge.left;
   height = tp->portRect.edge.bottom - thePort->portRect.edge.top;
   if (tp->device == 1) { // Handle weird e-paper rotated coords.
      tp->portRect.edge.top = tp->portBits.bounds.edge.left + topGlobal;
      tp->portRect.edge.left = tp->portBits.bounds.edge.top + leftGlobal;
   } else {
      tp->portRect.edge.top = tp->portBits.bounds.edge.top + topGlobal;
      tp->portRect.edge.left = tp->portBits.bounds.edge.left + leftGlobal;
   }
   tp->portRect.edge.bottom = tp->portRect.edge.top + height;
   tp->portRect.edge.right = tp->portRect.edge.left + width;
}
