#include "../clunkdraw.h"
#include "cdrect.h"

// Heart of PaintRect (and PaintRgn).
void
_PaintRBit(GrafPtr tp, int x, int y)
{
   Boolean patBit;

   patBit = !!(tp->pnPat.bytes[y & 7] & (1 << (7 - (x & 7))));
   if (tp->pnMode > srcBic)
      patBit = !patBit;
   switch (tp->pnMode) {
      case notSrcCopy:
      case srcCopy:    if (patBit) (*tp->_SetPix)(tp, x, y);
                            else (*tp->_ClearPix)(tp, x, y); break;
      case notSrcOr:
      case srcOr:      if (patBit) (*tp->_SetPix)(tp, x, y); break;
      case notSrcXor:
      case srcXor:     if (patBit) (*tp->_FlipPix)(tp, x, y); break;
      case notSrcBic:
      case srcBic:     if (patBit) (*tp->_ClearPix)(tp, x, y); break;
   }
}
