// RotRect rotates a rectangle structure 90 degrees, effectively
// swapping its coordinate axes.  Used to talk with the 3.7"
// E-Paper display, and in bitmap rotation.

#include "../clunkdraw.h"

void
RotRect(const Rect *sr, Rect *dr)
{
   SetRect(dr, sr->edge.top, sr->edge.left, sr->edge.bottom, sr->edge.right);
}
