#include "../clunkdraw.h"

void
UnionRect(srect1, srect2, destrect) /* Return rectangle that encloses */
const Rect *srect1, *srect2;
Rect *destrect;                 /* the source rectangles. */
{
    Rect scratch;

    scratch = *srect1;
    if (srect2->edge.top < scratch.edge.top)
        scratch.edge.top = srect2->edge.top;
    if (srect2->edge.bottom > scratch.edge.bottom)
        scratch.edge.bottom = srect2->edge.bottom;
    if (srect2->edge.left < scratch.edge.left)
        scratch.edge.left = srect2->edge.left;
    if (srect2->edge.right > scratch.edge.right)
        scratch.edge.right = srect2->edge.right;
    *destrect = scratch;
}
