//
// FillOval fills an oval just inside the specified rectangle with the
// given pattern (in srcCopy mode).  The grafPort's pnPat, pnMode and
// bkPat are all ignored; the pen location is not changed.

#include "../clunkdraw.h"
#include "cdoval.h"

void
FillOval(const Rect *r, const Pattern *pat)
{
   _DrawOval(r, FillRgn, (void *)pat);
}
