#include "../clunkdraw.h"
#include "cdtext.h"
#include <endian.h> // For be16toh et al.

void _DrawChar(char ch, Boolean isOffScrn)
{
   GrafPtr tp;
   const FontRec *frp;

   if (!(tp = thePort)) return;
   if (!(frp = thePort->fontPtr)) return;
   if (be16toh(frp->fontType) > 2)
      _DrawMacChar(ch, isOffScrn);
   else
      _DrawISCChar(ch, isOffScrn);
}
