// Like StringWidth, but the string isn't necessarily a string type.
// Measures characters from the array P, starting at the character
// specified by FIRSTBYTE, and continuing for BYTECOUNT characters.
// To be used in preference to StringWidth whenever possible.
// (In fact, both CharWidth and StringWidth call TextWidth to do
// the work.)

#include "../clunkdraw.h"
#include "cdtext.h"

int
TextWidth(const char *p, int firstByte, int byteCount)
{
   Rect r;

   if (!p)
      return 0;
   else
      return _TextWidth(p, firstByte, byteCount, &r);
}
