#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"

/*
* _TEDelete - internal delete routine
*/
void
_TEDelete(pTE)
TERec *pTE;
{
   char *p;
   int start, sizeChange;

   p = pTE->hText;
   if (pTE->teLength && pTE->selStart != pTE->selEnd) {
      start = pTE->selStart;
      sizeChange = pTE->selStart - pTE->selEnd;

      BlockMove(&p[pTE->selEnd], &p[pTE->selStart], /* Collapse the text. */
                pTE->teLength + 1 - pTE->selEnd);
      pTE->teLength -= (pTE->selEnd - pTE->selStart);
      pTE->selEnd = pTE->selStart;
      pTE->cursorLine = -1;
      _TECalText(start, sizeChange, pTE);

      /* set redraw area past end if the end line was changed   */
      if (pTE->redrawEnd == pTE->teLength)
         pTE->redrawEnd -= sizeChange;
   }
}
