#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"

/*
* _TEDispLines - calculate the number of visible lines in the display
*                (this varies, depending on whether or not partial
*                 lines are visible at the top and bottom of the display.)
*/
void
_TEDispLines(pTE)
TERec *pTE;
{
   /* set up the number of lines in the display */
   pTE->dispLines = (pTE->destRect.edge.bottom - pTE->destRect.edge.top
                     + pTE->lineHeight - 1) / pTE->lineHeight;

   /* A partial extra line may be visible, depending on the */
   /* current vertical scroll setting. */
   if (pTE->dispLines * pTE->lineHeight - pTE->vOffset <
       pTE->destRect.edge.bottom - pTE->destRect.edge.top)
      pTE->dispLines++;
}
