#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"
#include <stdio.h>

static void
_TEShowRect(r, newLine)
Rect *r;
Boolean newLine;
{
   printf("l=%d t=%d r=%d b=%d", r->edge.left, r->edge.top,
          r->edge.right, r->edge.bottom);
   if (newLine)
      printf("\n");
}

void TESpillGuts(pTE)
TERec *pTE;
{
   int ii;

   printf("---------- TERec structure ----------\n");

   printf("destRect = ");
   _TEShowRect(&pTE->destRect, 0);
   printf("  viewRect = ");
   _TEShowRect(&pTE->viewRect, 1);

   printf("selRect = ");
   _TEShowRect(&pTE->selRect, 1);

   printf("active = %d, just = %d, crOnly = %d, autoView = %d, leadOpt = %d\n",
          pTE->active, pTE->just, pTE->crOnly, pTE->autoView, pTE->leadOpt);

   printf("wordBreak = %d\n", pTE->wordBreak);

   printf("lineHeight = %d  ", pTE->lineHeight);
   printf("fontAscent = %d  ", pTE->fontAscent);
   printf("leading = %d  ", pTE->leading);
   printf("leanRight = %d\n", pTE->leanRight);

   printf("selStart = %d, selEnd = %d, redrawStart = %d, redrawEnd = %d\n",
          pTE->selStart, pTE->selEnd, pTE->redrawStart, pTE->redrawEnd);
   printf("lastselStart = %d, lastselEnd = %d\n", pTE->lastselStart,
          pTE->lastselEnd);
   printf("teLength = %d, teMaxLen = %d\n",
          pTE->teLength, pTE->teMaxLen);
   printf("hText = %d\n", pTE->hText);
   printf("txFont = %d, txFace = %d, txSize = %d\n",
          pTE->txFont, pTE->txFace, pTE->txSize);
   printf("hOffset = %d, vOffset = %d\n", pTE->hOffset, pTE->vOffset);
   printf("firstLine = %d, dispLines = %d\n", pTE->firstLine,
          pTE->dispLines);
   printf("lsCount = %d, lineStarts = %d\n", pTE->lsCount, pTE->lineStarts);
   printf("cursorLine = %d, nLines = %d\n",
          pTE->cursorLine, pTE->nLines);

   printf("lineStarts at ");
   for (ii = 0; ii < 10; ii++) {
      printf("%d  ", pTE->lineStarts[ii]);
   }
   printf("\n");
}
