// FixRatio returns the signed fixed-point ratio of dividend / divisor.

#include "../clunkdraw.h"

Fixed
FixRatio(short dividend, short divisor)
{
   if (!divisor) {
      if (dividend < 0)
         return -0x7FFFFFFF;
      return 0x7FFFFFFF;
   } else
      return (dividend << 16) / divisor;
}
