/*
** Window List dumper.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"
#include <stdio.h> // For printf

void
DumpWindow(p, label)
WindowPeek p;
char *label;
{
    printf("******* Window Dump %s\n", label);
    printf("+++ Window '%s' at %06lX\n", (char *)*(p->titleHandle), (U32 *)p);
    DumpPort(&p->port);
    DumpRgn(p->strucRgn, "Structure");
    DumpRgn(p->contRgn, "Content");
    DumpRgn(p->updateRgn, "Update");
    if (p->saveVisRgn)
       DumpRgn(p->saveVisRgn, "Saved Visible");
}
