/*
** Window List dumper.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"
#include <stdio.h> // For printf

void
DumpWinds(label)
char *label;
{
    WindowPeek p;

    printf("******* Windows Dump %s\n", label);
    DumpRgn(GrayRgn, "Gray (Desktop)");
    for (p = WindowList; p; p = p->nextWindow) {
       DumpWindow(p, label);
       if (p->saveVisRgn)
          DumpRgn(p->saveVisRgn, "Saved Visible");
    }
    printf("Window Manager Port at %08X\n", &WMgrPort);
    DumpPort(WMgrPort);
    printf("End of Window Dump.\n");
}
