/*
** EndWindows releases the resources used by the Window Manager.  It should
** only be called once when it is desired to terminate the Window Manager.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"
#include <stdlib.h> // For free

void
EndWindows()
{
    GrafPtr savePort;

    WindowList = (WindowPeek) 0;
    GetPort(&savePort);
    SetPort(WMgrPort);
    RectRgn(GrayRgn, &WMgrPort->portRect);
    SetClip(GrayRgn);
    EraseRect(&WMgrPort->portRect); /* Erase the desktop. */
    DisposeRgn(GrayRgn);
    ClosePort(WMgrPort);
    free(WMgrPort);
    WMgrPort = 0;
    SetPort(savePort);
}
