/*
** FrontWindow returns a pointer to the first visible window in the window
** list (that is, the active window).  If there are no visible windows, it
** returns NULL.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"

WindowPtr
FrontWindow()
{
    WindowPeek p;

    p = WindowList;             /* Search out visible window in window list. */
    while (p && !p->visible)
        p = p->nextWindow;
    return (WindowPtr) p;
}
