#include "../clunkdraw.h"
#include "cdwmdata.h"

void
_insert_win(theWindow, behind)
WindowPeek theWindow, behind;
{
    WindowPeek p;

    p = WindowList;             /* Search out home for us in window list. */
    if ((behind == (WindowPeek) -1) || !p) { /* Window goes in front. */
        p = (WindowPeek) FrontWindow(); /* Deactivate the last front */
        if (theWindow->visible) {
            if (p)              /* window (if any). */
                HiliteWindow((WindowPtr) p, 0); /* Unhighlight the window. */
            theWindow->hilited = 1;
        }
        theWindow->nextWindow = WindowList;
        WindowList = theWindow;
    } else {                    /* Window goes behind something. */
        while (p->nextWindow) { /* Find which one it's to go behind. */
            if (p == (WindowPeek) behind)
                break;          /* We've found where to put it. */
            p = p->nextWindow; /* Not yet we ain't, go around again. */
        }
        theWindow->nextWindow = p->nextWindow; /* Insert it in list. */
        p->nextWindow = theWindow;
    }
}
