#include "../clunkdraw.h"
#include "cdwmdata.h"

void
_move_Wcoords(theWindow, hGlobal, vGlobal, scratch)
WindowPtr theWindow;            /* Which window to move. */
int hGlobal, vGlobal;           /* Where to move window coordinates to. */
RgnHandle scratch;              /* Also moved with window if present. */
{
    int dh, dv;

    if (theWindow->device == 1) { // Handle weird e-paper rotated coords.
       dv = vGlobal - theWindow->portRect.edge.top
          + theWindow->portBits.bounds.edge.left;
       dh = hGlobal - theWindow->portRect.edge.left
          + theWindow->portBits.bounds.edge.top;
       OffsetRect(&theWindow->portBits.bounds, -dv, -dh);
    } else {
       dv = vGlobal - theWindow->portRect.edge.top
          + theWindow->portBits.bounds.edge.top;
       dh = hGlobal - theWindow->portRect.edge.left
          + theWindow->portBits.bounds.edge.left;
       OffsetRect(&theWindow->portBits.bounds, -dh, -dv);
    }
    OffsetRgn(((WindowPeek) theWindow)->strucRgn, dh, dv);
    OffsetRgn(((WindowPeek) theWindow)->contRgn, dh, dv);
    OffsetRgn(((WindowPeek) theWindow)->updateRgn, dh, dv);
    if (scratch)
        OffsetRgn(scratch, dh, dv);
}
