/*
** FillArc fills a wedge of the oval just inside the specified rectangle with
** the given pattern (in srcCopy mode).  StartAngle and arcAngle define the
** arc of the wedge as in FrameArc.  The grafPort's pnPat, pnMode and bkPat
** are all ignored; the pen location is not changed.
*/

#include "../clunkdraw.h"
#include "cdarc.h"

void
FillArc(rect, startAngle, arcAngle, pattern)
const Rect *rect;
short startAngle, arcAngle;
const Pattern *pattern;
{
   _DrawArc(rect, 0, FillRgn, startAngle, arcAngle, (void *) pattern);
}
