/*
** PaintArc paints a wedge of the oval just inside the specified rectangle
** with the current grafPort's pen pattern and mode.  StartAngle and arcAngle
** define the arc of the wedge as in FrameArc.  The wedge is filled with the
** pnPat, according to the pattern transfer mode specified by pnMode.  The
** pen location is not changed by this procedure.
*/

#include "../clunkdraw.h"
#include "cdarc.h"

void
PaintArc(rect, startAngle, arcAngle)
const Rect *rect;
short startAngle, arcAngle;
{
    _DrawArc(rect, 0, PaintRgn, startAngle, arcAngle, 0);
}
