/*
** 802.3 header formats.
*/

struct saphdr {
    struct etherheader eth;
    unsigned char dsap;		/* Dest Protocol, low bit is grouping code. */
    unsigned char ssap;		/* Src Protocol, low bit is cmd (vs resp). */
    unsigned short control;	/* Might only be 1 byte for Unnumbereds */
};

struct snaphdr {
    struct etherheader eth;
    unsigned char llc8023[3];	/* AA AA 03 for SNAP headers. */
    unsigned char protorg[3];	/* Protocol/Organization code. */
    unsigned short ethertype;	/* The old-fashioned Ethertype. */
};

