/*
**
** Test the ClipBoard
**
*/

#include <stdio.h>
#include <isc/window.h>

char buffer[30];		/* Text buffer. */
char buffer2[30];

main(argc, argv)
int argc;
char *argv[];
{
    int trapqfd, wmfd;
    int fd;
    long size, lseek();
    char *buf, *buf2, *malloc();

    /*
    **	Initialize the graphics toolbox.
    */

    if ((trapqfd = InitGraf()) < 0) {
	exit(1);
    }

    /*
    **	Establish a connection to a window manager.
    */

    if ((wmfd = ConnectGraf(0)) < 0) {
	exit(1);
    }

    ZeroScrap();
    printf("TEXT enquiry: %d\n", GetScrap(0, 'TEXT', 0));
    if (argc > 1) {
	FlushTwice();	/* Make sure command gets there and is executed. */
	exit(0);
    }
    strcpy(buffer, "This is a test!");
    PutScrap(strlen(buffer), 'TEXT', buffer);
    PublishScrap();
    printf("%d byte TEXT sent\n", strlen(buffer));
    printf("TEXT enquiry: %d\n", GetScrap(0, 'TEXT', 0));
    size = GetScrap(buffer2, 'TEXT', sizeof buffer2);
    buffer2[size] = 0;
    printf("Got %d chars: %s\n", size, buffer2);
    fd = open(argv[0], 0);
    if (fd >= 0) {
	size = lseek(fd, 0L, 2);
	lseek(fd, 0L, 0);
	if (buf = malloc(size)) {
	    read(fd, buf, size);
	    PutScrap(size, 'FILE', buf);
	    PublishScrap();
	    close(fd);
	    printf("%d byte FILE sent\n", size);
	    fd = creat("junk", 0666);
	    size = GetScrap(0, 'FILE', 0);
	    printf("FILE enquiry: %d\n", size);
	    if (buf2 = malloc(size)) {
		GetScrap(buf2, 'FILE', size);
		write(fd, buf2, size);
	    }
	}
	close(fd);
    }
}
