#include "../clunkdraw.h"
#include <stdio.h>

void
DumpBMap(const BitMap *bp, const char *label)
{
   unsigned long size;

   size = bp->rowBytes * (bp->bounds.edge.bottom - bp->bounds.edge.top);
   printf("%sbaseAddr: $%08X (%lu bytes, through $%08X).\n", label,
          bp->baseAddr, size, bp->baseAddr + size - 1);
   printf("%srowBytes: $%08X.\n%s", label, bp->rowBytes, label);
   DumpRect(&bp->bounds, "bounds ");
}
