// Save the given pixmap to a JPEG file.

#include "../clunkdraw.h"
#include "cdbits.h"
#include <stdio.h>

void
SaveToJPGFile(const BitMap *sbits, const char *fName)
{
   char buf[128];
   FILE *fp;

   snprintf(buf, sizeof buf, "pnmtojpeg >%s", fName);
   if (!(fp = popen(buf, "w")))
      return;
   _SaveToStream(sbits, fp);
   pclose(fp);
}
