/*
** NOTE!  Don't use these values yourself because I reserve the right to
** dick with these definitions myself with no notice.  If this breaks
** something of yours, too bad for you.  You shouldn't depend on the
** internals of something like this anyway.
*/

#define CONTROLS_SOURCE

/*
** Internal codes for myControl.
*/

#define drawCntl 0      /* Draw the control (or part of it). */
#define testCntl 1      /* Test where mouse button was pressed. */
#define calcCRgns 2     /* Calculate control's regions. */
#define initCntl 3      /* Do any additional control initialization. */
#define dispCntl 4      /* Take any additional disposal actions. */
#define posCntl 5       /* Reposition control's indicator & update it. */
#define thumbCntl 6     /* Calculate parameters for dragging indicator. */
#define dragCntl 7      /* Drag control (or its indicator). */
#define autoTrack 8     /* Execute control's action procedure. */

/*
** Low-level structures.
*/

struct ControlRecord {
    struct ControlRecord *nextControl; /* Next control in list. */
    WindowPtr contrlOwner;      /* Control's window. */
    Rect contrlRect;            /* Enclosing Rectangle. */
    Point contrlText;           /* Title's starting position. */
    Boolean contrlVis;          /* TRUE if visible. */
    Boolean contrlHilite;       /* Highlight state. */
    Boolean contrlTracking;     /* TRUE if tracking. */
    short contrlValue;          /* Control's current setting. */
    short contrlValue2;         /* Control's setting #2 (for scroll bar). */
    short contrlMin;            /* Control's minimum setting. */
    short contrlMax;            /* Control's maximum setting. */
    short contrlDefProc;        /* Control's type. */
    void *contrlData;           /* Data used internally. */
                                /* Action procedure. */
    void (*contrlAction)(struct ControlRecord *theControl, int partCode);
    short contrlFont;           /* Control's font for title. */
    short contrlSize;           /* Font size for control. */
    short contrlFColor;         /* Foreground color for control (optional). */
    short contrlBColor;         /* Background color for control (optional). */
    short titleLen;             /* Control's title length. */
    char *contrlTitle;          /* Control's title. */
    void *refCon;               /* Reference value. */
    void *(*cdefproc)(short varCode, struct ControlRecord *theControl, short message, void *param);         /* Pointer to control definition procedure. */
};

typedef struct ControlRecord ControlRecord;
typedef ControlRecord *ControlID;

WindowPeek lastWindow;       /* For FindControl/TrackControl interaction. */
void *(*defcdefproc)(short varCode, ControlID theControl, short message, void *param);

void _HideControl(ControlID theControl, Boolean invalFlag);
void _trim(ControlID theControl, short *theValue, short *theValue2);
