#define CONTROLS_SOURCE
#include "../clunkdraw.h"
#include "cmcontrols.h"

/*
** Same as SetCtlValues, but sets the min and max as well.  Useful when
** changing 3 or 4 of the values, particularly when you're adding items to
** a list and the height of the bar represents number of displayed items.
** Using this call results in no monkey-motion of the bar.
*/

void
Set4CtlVals(theControl, minValue, maxValue, theValue, theValue2)
ControlID theControl;
short minValue, maxValue, theValue, theValue2;
{
   if (theControl->contrlValue != theValue
       || theControl->contrlValue2 != theValue2
       || theControl->contrlMin != minValue
       || theControl->contrlMax != maxValue) {
      theControl->contrlMin = minValue;
      theControl->contrlMax = maxValue;
      _trim(theControl, &theValue, &theValue2);
      theControl->contrlValue = theValue;
      theControl->contrlValue2 = theValue2;
      (*theControl->cdefproc)(theControl->contrlDefProc, theControl,
                              drawCntl, 0); /* Redraw the control. */
   }
}
