#include "../clunkdraw.h"
#include "cdcurs.h"
#define FALSE 0;

/*
** This moves the mouse cursor.  It is not intended to be called by
** the application, but rather only by the mouse 'driver'.
*/

void
_MoveCursor(const Point *screenPt)
{
   if (_CrsrInited) {
      if (EqualPt(&_Mouse, screenPt))
         return;
      if (!_CrsrObscure)
         HideCursor();
      _Mouse = PinRect(&thePort->portRect, screenPt);
      _CrsrObscure = FALSE;
      ShowCursor();
   }
}
