#include "../clunkdraw.h"
#include "cdcurs.h"
#include <endian.h>

void
SetCursor(const Cursor *curs)
{
   int ii;

   if (_CrsrInited) {
      for (ii=0; ii<16; ii++) {
         _TheCrsr.data[ii] = be16toh(curs->data[ii]);
         _TheCrsr.mask[ii] = be16toh(curs->mask[ii]);
      }
      _TheCrsr.hotSpot = curs->hotSpot;
      if (_CrsrVis) {
         HideCursor();
         ShowCursor();
      }
   }
}
