#include "../clunkdraw.h"
#include "cdfontm.h"
#include <stdlib.h>
#define TRUE 1
#define FALSE 0

// Eliminate the font chain.  Flag : TRUE to force a purge of all fonts,
//                                   FALSE to only purge unused fonts.
// Unused is defined as those not used since the last purge.
// Embedded fonts are not touched.
void
PurgeFonts(int flag)
{
   FontCtrl *fcp, *fcp1;

   fcp = _fontChain;            // Find fonts in cache.
   while (fcp && fcp->fontNum) {
      if ((flag || !fcp->used) && fcp->memSize) {
         free((void *)fcp->fontPtr); // Delete unused resized fonts.
         fcp1 = fcp->next;
         if (fcp1) {
            *fcp = *fcp1;       // Copy next font record over us.
            free(fcp1);         // Delete the next font record.
         }
      } else {                  // It's a keeper,
         fcp->used = FALSE;     // mark font as unused for next time
         fcp = fcp->next;       // and advance to check the next font.
      }
   }
}
