/*
**
** MoveTo()
**
** Move the point, i.e. current x and y.
**
*/

#include "../clunkdraw.h"
#include "../poly/cdpoly.h"

void
MoveTo(x, y)
int x, y;
{
   GrafPtr tp;
   PolyHandle ph;

   if (!(tp = thePort)) return;
   if (tp->rgnSave) {           // Accumulating a region?
      if (ph = tp->polySave) {  // If accumulating a polygon,
         ClosePoly();
         if ((*ph)->polySize > sizeof(Polygon)) // Is it
            _PolyIntoRgn(ph);   // big enough to use?
         KillPoly(ph);          // Yes, put it in too.
      }
      OpenPoly();
   }
   if (tp->polySave)            // If accumulating a polygon,
      _Add2Poly(x, y);          // add in this point.
    tp->pnLoc.v = y;
    tp->pnLoc.h = x;
}
