#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"

void
_MenuDisplay(start, stop, text, text2, changing)
int start, stop;
char *text, *text2;
int changing;
{
   GrafPtr savePort;
   Rect rect;

   savePort = _MenuSetup();
   SetRect(&rect, start, 0, stop, _MV.mbarHeight-2);
   if (changing)
      EraseRect(&rect);         /* Changing clock mode, wipe whole area. */
   if (text && *text) {
      MoveTo(start, _MV.fontInfo.ascent + _MV.fontInfo.leading + 1);
      DrawString(text);         /* Draw time. */
      TextFont(0);
      TextSize(0);
      if (text2 && *text2)
         DrawString(text2);     /* Draw AM/PM indicator in smaller font.. */
      rect.edge.left = thePort->pnLoc.h;
   }
   EraseRect(&rect);            /* Display empty menu bar. */
   _MenuRestore(savePort);
}
