#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"
#include <stdio.h>

/*
** Menu List dumper.
*/

void
DumpMenus()
{
   extern struct ccb *ccbroot;
   struct ccb *ccb;
   MenuInfo *mp;

   (void) printf("******* Menu Dump\n");
   printf(" System Menu:  ");
   DumpMenu(SystemMenu);
   ccb = ccbroot;
   while (ccb) {
      printf(" CCB %08X's Menu:\n", ccb);
      DumpMenu(mp = ccb->menus);
      if (mp)
         while (mp = mp->nextMenu)
            DumpMenu(mp);
      ccb = ccb->link;
   }
   (void) printf("End of Menu Dump.\n");
}
