#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"

/* Hilite an item in a menu */

int
HiliteMenuItem(itemID)
int itemID;
{
   GrafPtr savePort, wMgrPort;
   int ii;

   ii = -1;
   if (_MV.OpenedMenu) {        /* Only if there's a currently open menu. */
      GetPort(&savePort);       /* Work in Window Manager's port. */
      GetWMgrPort(&wMgrPort);
      SetPort(wMgrPort);
      if (_MV.TheMenuItem)      /* If there's already one highlighted then */
         (void) _InvertMitem(_MV.TheMenuItem, 0); /* unhighlight it. */
      if (itemID)               /* If there's to be a new highlighted menu */
         ii = _InvertMitem(itemID, 0); /* then highlight it. */
      _MV.TheMenuItem = itemID; /* In any event do this. */
      SetPort(savePort);
   }
   return ii;
}
