#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"

/* Hilite a word in Menu Bar.  Will unhighlight current menu first. */

void
HiliteMenu(menuID)
int menuID;                     /* Zero to only clear out current highlight. */
{
   GrafPtr savePort;

   savePort = _MenuSetup();     /* Work in Window Manager's port. */
   if (_MV.TheMenu)             /* If there's already one highlighted then */
      _InvertMenu(_MV.TheMenu, 0); /* unhighlight it. */
   if (menuID)                  /* If there's to be a new highlighted menu */
      _InvertMenu(menuID, 0);   /* then highlight it. */
   _MV.TheMenu = menuID;        /* In any event do this. */
   _MenuRestore(savePort);
}
