#define MENUS_SOURCE
#include "../clunkdraw.h"
#include "menus.h"

void
InitMenus()
{
   GrafPtr savePort, wMgrPort;

   savePort = _MenuSetup();
   GetWMgrPort(&wMgrPort);
   _MV.scrnWidth = wMgrPort->portRect.edge.right;
   GetFontInfo(&_MV.fontInfo);
   _MV.mbarHeight = _MV.fontInfo.ascent + _MV.fontInfo.descent
                  + _MV.fontInfo.leading + 3;
   RsrvMenuBar(_MV.mbarHeight);
   _MV.chWidth = CharWidth('0');
   _MV.clockStart = _MV.scrnWidth - (_MV.chWidth * 8 - 8);
   _MV.clockEnd = _MV.scrnWidth;
   _MV.displayStart = _MV.scrnWidth - (_MV.fontInfo.widMax + 1) * 7;
   _MV.displayEnd = _MV.clockStart;
   _MenuRestore(savePort);
   _MV.TheMenu = _MV.PendingEndmenu = 0;
}
