#include "../clunkdraw.h"

void
ScalePt(pt, srcRect, dstRect)
Point *pt;
const Rect *srcRect, *dstRect;
{
   int val;

   val = ScaleS(pt->h, dstRect->edge.right - dstRect->edge.left,
                       srcRect->edge.right - srcRect->edge.left);
   if (val < 1)
      val = 1;
   pt->h = val;
   val = ScaleRS(pt->v, dstRect->edge.bottom - dstRect->edge.top,
                        srcRect->edge.bottom - srcRect->edge.top);
   if (val < 1)
      val = 1;
   pt->v = val;
}
