/*
** Internal routine to accumulate a point into a polygon.
*/

#include "../clunkdraw.h"
#include <alloca.h>

void
_Add2Poly(x, y)
short x, y;
{
    unsigned short *p;
    int polysize;
    GrafPtr tp;

    tp = thePort;
    if (!tp->polySave)  /* Sanity check. */
        return;
    polysize = (*tp->polySave)->polySize;
    p = alloca(polysize + sizeof(Point)); /* Copy polygon onto stack. */
    BlockMove(*tp->polySave, p, polysize);
    SetHandleSize((Handle) tp->polySave, polysize + sizeof(Point));
    if (*tp->polySave) {
        BlockMove(p, *tp->polySave, polysize); /* Make new larger polygon */
        p = &(*tp->polySave)->polySize; /* space and copy the poly to there. */
        *p += sizeof(Point);    /* Mark with new size. */
        p += (unsigned short) polysize / sizeof(short);
        ((Point *) p)->h = x;   /* Put in the new point. */
        ((Point *) p)->v = y;
    } else                      /* Resize failed, close accumulation. */
        tp->polySave = 0;
}

