#include "../clunkdraw.h"

void
MapPoly(poly,  srcRect, dstRect)
PolyHandle poly;
const Rect *srcRect, *dstRect;
{
   Point *p;
   int polysize;

   if (!poly || !*poly) return;
   polysize = (*poly)->polySize - sizeof(PolyHdr);
   p = &(*poly)->polyPoints;
   while (polysize > 0) {
      MapPt(p++, srcRect, dstRect);
      polysize -= sizeof(*p);
   }
   MapRect(&(*poly)->polyBBox, srcRect, dstRect);
}
