/*
** Initialize Clunkdraw for work with offscreen monochrome bitmaps.
*/
#include "../clunkdraw.h"
#include "cdport.h"
#include <stdlib.h> // For calloc
#include <string.h> // For memset

int
InitGraf(int x, int y, void (*bppInit)(int x, int y))
{
   int rowBytes, ii;

   SetRect(&screenBits.bounds, 0, 0, x, y);
   (*bppInit)(x, y);
   return screenBits.baseAddr == 0;
}
