#include "../clunkdraw.h"

void SetOrigin(int h, int v)
{
   GrafPtr tp;
   int deltah, deltav;

   if (!(tp = thePort)) return;
   deltah = h - tp->portRect.edge.left;
   deltav = v - tp->portRect.edge.top;
   if (tp->device == 1) // Handle weird e-paper rotated coords.
      OffsetRect(&tp->portBits.bounds, deltav, deltah);
   else
      OffsetRect(&tp->portBits.bounds, deltah, deltav);
   OffsetRect(&tp->portRect, deltah, deltav);
   OffsetRgn(tp->visRgn, deltah, deltav);
}
