#include <endian.h>

#if __BYTE_ORDER == __LITTLE_ENDIAN
#  define MSW 1
#  define LSW 0
#  define MSWMSB 3
#  define MSWLSB 2
#elif __BYTE_ORDER == __BIG_ENDIAN
#  define MSW 0
#  define LSW 1
#  define MSWMSB 0
#  define MSWLSB 1
#else
#  error Bad or Unsupported Endian-ness!
#endif

union fixtrig {
   Fixed fixval;                /* Full fixed value. */
   short words[2];              /* Integer and fraction words. */
   char bytes[4];               /* Split even further. */
};

void _tlookup(union fixtrig *retval, short angle);
