#include "../clunkdraw.h"
#include "../rgn/cdrgn.h"
#include "cdrect.h"

// Common rectangle code shared by PaintRect and FillRect.
//
void
_DrawRect(const Rect *r, void (*bitfn)(GrafPtr tp, int x, int y))
{
   Region dummyRgn, *dummyPtr;

   dummyRgn.rgnBBox = *r;               // Invent a dummy
   dummyRgn.rgnSize = sizeof(RegionHdr);// rectangular region,
   dummyPtr = &dummyRgn;                // and let the region
   _DrawRgn(&dummyPtr, bitfn);          // painter do it.
}
