// EraseRect paints the specified rectangle with the current grafPort's
// background pattern bkPat (in srcCopy mode).  The grafPort's pnPat and pnMode
// are ignored; the pen location is not changed.

#include "../clunkdraw.h"

void
EraseRect(const Rect *r)
{
   GrafPtr tp;

   if (!(tp = thePort))
      return;
   FillRect(r, &tp->bkPat);
}
