#include "../clunkdraw.h"
#include "cdrect.h"

// PaintRect paints the specified rectangle with the current grafPort's pen
// pattern and mode.  The rectangle is filled with the pnPat, according to
// the transfer mode specified by pnMode.  The pen location is not changed
// by this procedure.
//
void
PaintRect(const Rect *r)
{
   GrafPtr tp;

   if (!(tp = thePort)) return;
   if (tp->pnVis < 0) return;
   _DrawRect(r, _PaintRBit);
}
