/*
** PtInRect determines whether the pixel _below_and_to_the_right_ of the given
** coordinate point is enclosed in the specified rectangle, and returns TRUE
** if so or FALSE if not.
*/

#include "../clunkdraw.h"
#define TRUE 1
#define FALSE 0

Boolean
PtInRect(point, rect)           /* Returns TRUE if the point is enclosed */
const Point *point;             /* by the rectangle. */
const Rect *rect;
{
    if ((point->h >= rect->edge.left) && (point->h < rect->edge.right) &&
        (point->v >= rect->edge.top) && (point->v < rect->edge.bottom))
        return TRUE;
    else
        return FALSE;
}
