#include "../clunkdraw.h"
#define TRUE 1
#define FALSE 0

Boolean
SectRect(srect1, srect2, destrect) /* Return TRUE if rectangles intersect, */
const Rect *srect1, *srect2;
Rect *destrect;              /* also returns the intersection rect. */
{
    Rect scratch;

    scratch = *srect1;
    if (srect2->edge.top > scratch.edge.top)
        scratch.edge.top = srect2->edge.top;
    if (srect2->edge.bottom < scratch.edge.bottom)
        scratch.edge.bottom = srect2->edge.bottom;
    if (srect2->edge.left > scratch.edge.left)
        scratch.edge.left = srect2->edge.left;
    if (srect2->edge.right < scratch.edge.right)
        scratch.edge.right = srect2->edge.right;
    if ((scratch.edge.bottom <= scratch.edge.top) ||
        (scratch.edge.right <= scratch.edge.left)) {
        SetRect(destrect, 0, 0, 0, 0);
        return FALSE;
    }
    *destrect = scratch;
    return TRUE;
}
