#include "../clunkdraw.h"
#include "../rect/cdrect.h"
#include "cdrgn.h"

void
FillRgn(RgnHandle rgn, const Pattern *fillPat)
{
   GrafPtr tp;
   Pattern savePat;

   if (!(tp = thePort) || !fillPat) return;
   if (tp->pnVis < 0) return;
   savePat = tp->pnPat;
   tp->pnPat = *fillPat;
   _DrawRgn(rgn, _FillRBit);
   tp->pnPat = savePat;
}
