#include "../clunkdraw.h"
#include "cdrgn.h"

void
OffsetRgn(RgnHandle region, short dh, short dv)
{
   short *p;

   if (region) {
      OffsetRect(&(*region)->rgnBBox, dh, dv);
      if ((*region)->rgnSize != sizeof(RegionHdr)) {
         p = &(*region)->rgnData;
         while (*p != END_TAG) { /* Do each scanline of the region. */
            *p++ += dv;          /* Bump Y coordinate. */
            while (*p != END_TAG) { /* Do each X pair of the scanline. */
               *p++ += dh;      /* Bump X coordinate. */
               *p++ += dh;      /* Bump X coordinate. */
            }
            p++;                /* Bump to next Y coordinate. */
         }
      }
   }
}
