// Returns the number of pixels the drawing pen would be moved if the
// single 8-bit character CH were to be drawn using DrawChar in
// the current font, style, and size.  Note that this is *not*
// necessarily the width of the character's cell, i.e., the width (in
// pixels) of the area that will be modified on the screen.  The extra
// spacing imposed by SpaceExtra or TextExtra will also be included.
// This routine is analogous to DrawChar, and should be avoided under
// the same circumstances (and for the same reasons) that you would
// avoid DrawChar in favor of a higher-level routine.

#include "../clunkdraw.h"
#include "cdtext.h"

int
CharWidth(char ch)
{
    Rect r;

    return _TextWidth(&ch, 0, 1, &r);
}
