#include "../clunkdraw.h"
#include "cdtext.h"

void
_DrawCharBit(GrafPtr tp, Boolean fontBit, int mode, int x, int y)
{
   switch (mode) {
      case notSrcCopy:
      case srcCopy:    if (fontBit) (*tp->_SetPix)(tp, x, y);
                             else (*tp->_ClearPix)(tp, x, y); break;
      case notSrcOr:
      case srcOr:      if (fontBit) (*tp->_SetPix)(tp, x, y); break;
      case notSrcXor:
      case srcXor:     if (fontBit) (*tp->_FlipPix)(tp, x, y); break;
      case notSrcBic:
      case srcBic:     if (fontBit) (*tp->_ClearPix)(tp, x, y); break;
   }
}
