// TextFace sets the current grafPort's character style (thePort^.txFace).
// The style type allows you to specify a set of one or more of the following
// predefined constants: normalText, boldText, italicText, underlineText,
// outlineText, shadowText, condenseText, extendText, and ghostText.  Many of
// these don't actually do anything yet (if ever).  Text drawing will be
// slower when a style is in effect, and the results (being algorithmically
// derived) won't be as good as using a font with the desired style built-in.

#include "../clunkdraw.h"

void
TextFace(int face)
{
   GrafPtr tp;

   if (!(tp = thePort)) return;
   tp->txFace = face;
}
