#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"

/*
* _TEBackSpace - Backspace function
*/
void
_TEBackSpace(pTE, key)
TERec *pTE;
long key;
{
   int ii;

   if (pTE->selStart == pTE->selEnd) {
      /* no selection, make one */
      if (key & F_ALT) {
         /* Delete backward word */
         ii = _TEScan(0, pTE, pTE->selStart);
         TESetSelect(ii, pTE->selEnd, pTE);
      } else {
         /* Delete single character. */
         if (pTE->selStart) {
            pTE->selStart--;
            if (pTE->hText[pTE->selStart] == '\n')
               pTE->cursorLine--;
         }
      }
   }

   if (pTE->selStart == 0 && pTE->selEnd == 0)
      Bell();
   else
      TEDelete(pTE);
}
