#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"

/*
* _TEEOL - End of Line function
*/
void
_TEEOL(pTE)
TERec *pTE;
{
   int ii, loc;

   if (pTE->selEnd == pTE->teLength) {
      loc = pTE->teLength; /* cursor at end of text, leave things alone */
   } else { /* get the line following the line which contains the cursor */
      ii = _TESelLine(pTE, pTE->selEnd) + 1;
      loc = pTE->lineStarts[ii];

      if (pTE->hText[pTE->lineStarts[ii] - 1] == '\n') {
         loc--; /* previous line ended with newline, back up in front of it */
      }
   }
   TESetSelect(loc, loc, pTE);
}
