#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"

/*
* _TEGoRight - cursor right function
*/
void
_TEGoRight(pTE)
TERec *pTE;
{
   int selEnd;

   selEnd = pTE->selEnd;
   /* allow cursor to go to last line */
   if (selEnd == pTE->teLength)
      pTE->cursorLine = pTE->nLines - 1;

   /* don't leave the cursor on a newline */
   if (pTE->hText[selEnd++] == '\n')
      pTE->cursorLine++;
   TESetSelect(selEnd, selEnd, pTE);
}
