#define TEXTEDIT_SOURCE
#include "../clunkdraw.h"
#include "texted.h"

/*
* _TELineChars - return the number of displayable chars in a line
*/
int
_TELineChars(pTE, lineNo, trailSpace)
TERec *pTE;
int lineNo;
Boolean trailSpace;
{
   int count;

   /* get number of bytes including the word break character */
   count = pTE->lineStarts[lineNo + 1] - pTE->lineStarts[lineNo];

   /* subtract out the newline character */
   if (count && pTE->hText[pTE->lineStarts[lineNo + 1] - 1] == '\n')
      count--;
   else if (pTE->just == centerJustify && !trailSpace) {
      /* subtract the break character back out of the display length */
      if ((*(pTE->wordBreak))(pTE->hText + pTE->lineStarts[lineNo + 1] - 1, 0))
         count--;
   }
   return count < 0 ? 0 : count;
}
