// LoWord returns the low-order word of the given long integer.  One of the
// uses of this function is to extract the fractional part of a fixed-point
// number.

#include "../clunkdraw.h"

unsigned long
LoWord(Fixed f)
{
   return f & 0xFFFF;
}

U16
Fix2Frac(Fixed f)
{
   return LoWord(f);
}
