/*
** Turn a fixed-point S32 into a string.
*/
#include "../clunkdraw.h"

char *
FixS32ToStr(char *str, int len, S32 fixed, U32 scale, int dtrunc, int commas)
{
   if (fixed < 0) {
      *str = '-';
      (void)FixU32ToStr(str+1, len-1, (U32)(-fixed), scale, dtrunc, commas);
      return str;
   }
   return FixU32ToStr(str, len, (U32)fixed, scale, dtrunc, commas);
}
