/*
** Turn a fixed-point S64 into a string.
*/

#include "../clunkdraw.h"

char *
FixS64ToStr(char *str, int len, S64 fixed, U64 scale, int dtrunc, int commas)
{
   if (fixed < 0) {
      *str = '-';
      (void)FixU64ToStr(str+1, len-1, (U64)(-fixed), scale, dtrunc, commas);
      return str;
   }
   return FixU64ToStr(str, len, (U64)fixed, scale, dtrunc, commas);
}
