/*
** ClipAbove sets the clipRgn of the Window Manager port to be the desktop
** intersected with the current clipRgn, minus the structure regions of all
** the windows in front of the given window.
**
** ClipAbove gets the desktop region from the variable GrayRgn.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"

void
ClipAbove(window)
WindowPeek window;
{
    SectRgn(WMgrPort->clipRgn, GrayRgn, WMgrPort->clipRgn);
    _substructrgns(WMgrPort->clipRgn, window);
}
