/*
** RsrvMenuBar reserves/unreserves the menu bar area.  Call it after
** InitWindows().  A zero argument unreserves the menu bar area.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"

void
RsrvMenuBar(height)
int height;
{
    Rect scratch;
    GrafPtr savePort;

    GetPort(&savePort);
    SetPort(WMgrPort);
    scratch = WMgrPort->portRect;
    if (height >= 0)            /* Reserving menu bar. */
        _menubar = height;
    scratch.edge.top = _menubar;
    if (height <= 0)            /* Reserving 'status' line area (Chinese). */
        scratch.edge.bottom += height;
    RectRgn(GrayRgn, &scratch); /* Desktop region. */
    SetClip(GrayRgn);
    SetPort(savePort);
}
