/*
** SelectWindow makes theWindow the active window as follows:  It unhighlights
** the previously active window, brings theWindow in front of all other
** windows, highlights theWindow, and generates the appropriate activate
** events.  Call this procedure if there's a mouse-down event in the content
** region of an inactive window.
*/

#include "../clunkdraw.h"
#include "cdwmdata.h"

void
SelectWindow(theWindow)
WindowPtr theWindow;
{
    DragFlag = 0;               /* Not moving the windows around. */
    _doSelect(theWindow);
}
